/* STYLES 23.03.2026
Developer: t.me/moretheme
Screen resolution: 460, 860, 1440, 1920 */
.jt-login {
    position: relative;
    display: grid;
    grid-auto-rows: max-content;
    grid-template-columns: 500px 1fr;
    align-items: center;
    justify-content: center;
    background: #fff;
    color: #000;
    width: 100vw;
    height: 100vh;
    overflow: hidden;
}

.jt-login > div {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 40px 60px;
    margin: 0 auto;
    height: inherit;
}

.jt-login > img {
    width: 100%;
    height: 100vh;
    object-fit: cover;
}

@media (max-width: 860px) {
    .jt-login {
        grid-template-columns: 1fr;
    }

    .jt-login > img {
        display: none;
    }
}

.jt-login .e-float input {
    width: 350px!important;
}

.jt-login .e-float input::placeholder {
    color: var(--text3)
}

.jt-login > div > a {
    display: block;
    color: var(--color1);
    border-bottom: 1px dotted;
    font-size: 14px;
    text-align: right;
    margin-bottom: 30px;
}

.jt-login > i {
    position: absolute;
    top: 20px;
    right: 20px;
    display: inline-block;
    background: var(--dark);
    border-radius: var(--radius);
    color: var(--dark);
    width: 40px;
    height: 40px;
    line-height: 40px;
    font-size: 18px;
    text-align: center;
    cursor: pointer;
    z-index: 2;
}

.jt-login > i:hover {
    background: var(--light2);
}

.jt-login_policy {
    display: grid;
    grid-gap: 10px;
    grid-auto-rows: max-content;
    grid-template-columns: 40px 1fr;
    font-size: 12px;
    margin: 20px 0;
    color: var(--text2);
}

.jt-login_policy > input {
    width: 25px;
    height: 25px;
    border-radius: var(--radius);
    overflow: hidden;
}

.jt-login_type > span {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    grid-gap: 20px;
    background: var(--bg2);
    color: var(--text2);
    margin-bottom: 20px;
    font-weight: 600;
    z-index: 2;
}

.jt-login_type > span:before, .jt-login_type > span:after {
    content: "";
    display: inline-block;
    width: 100%;
    height: 2px;
    background: var(--dark);
}

.jt-login_reg {
    display: block;
    border: 1px solid var(--color1);
    color: var(--color1);
    padding: 15px 50px;
    border-radius: var(--radius);
    font-weight: 500;
    text-align: center;
}

.jt-login_reg:hover {
    border: 1px solid var(--color1);
    background: var(--color1);
    color: #fff;
}

.jt-login_type > div {
    display: flex;
    align-items: center;
    justify-content: center;
    grid-gap: 10px;
    margin-top: 30px;
}

.jt-login_type > div > a, .jt-login_type > div .telegram {
    position: relative;
    background: var(--bg2);
    border-radius: 50%;
    width: 45px;
    height: 45px;
    cursor: pointer;
}

.jt-login_type > div .telegram iframe {
    position: absolute;
    inset: 0;
    width: 100%!important;
    height: 100%!important;
    opacity: 0;
}

.jt-login_type > div img {
    padding: 10px;
    width: 100%;
    height: 100%;
}

.jt-login_link {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
    grid-gap: 50px;
    color: var(--text2);
    margin-bottom: 30px;
}

.jt-login_link > div a {
    color: var(--color3);
    font-weight: bold;
}

.jt-login_link > a {
    text-decoration: underline dotted;
}

.jt-login_link a:hover {
    text-decoration: underline dotted;
    opacity: 0.8;
}

.jt-login_link button {
    display: inline-block;
    background: var(--color1);
    color: #fff;
    padding: 15px 30px;
    border-radius: var(--radius);
    text-align: center;
    cursor: pointer;
    flex: 1 1 0;
    font-weight: bold;
}

.jt-login_link button:hover {
    background: var(--color2);
}
